低危 UPX p_mach.cpp文件拒绝服务漏洞

CVE编号

CVE-2017-16869

利用情况

暂无

补丁情况

官方补丁

披露时间

2017-11-17
漏洞描述
UPX是一款可执行文件压缩器。

UPX 3.94版本中的p_mach.cpp文件存在安全漏洞。远程攻击者可借助特制的Mach-O文件利用该漏洞造成拒绝服务(无效内存访问或应用程序崩溃)。
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://github.com/upx/upx/issues/146
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 upx_project upx 3.94 -
运行在以下环境
系统 debian_9 upx-ucl * Up to
(excluding)
3.91-4
阿里云评分
2.9
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-119 内存缓冲区边界内操作的限制不恰当
阿里云安全产品覆盖情况